﻿<% @Import Namespace="Seven.Front.Settings" %>
<% @Import Namespace="Seven.Front.Settings.Globals" %>
<% @Import Namespace="Seven.Front.Settings.Objects" %>
<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="ConfiguracionEmpresas.aspx.cs" Inherits="Seven.Front.Settings.ConfiguracionEmpresas" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title><%=L.TIT("ConfiguracionEmpresas") %></title>
    
    <script type="text/javascript">

        var ListFindN    =  ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT    =  ['cn','eq','bw','bn','nc','ew','en'];

        var HeaderTableCE = <%=L.LBL("LblFDKSConfigEmpresas") %>
        
        <% /* Código del jqGrid para Configuración de Empresas */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetCE() {
            $.ajax({
                url: 'Servicio.svc/GetConfigEmpresas',
                data: { "Eliminado": $('#cbEliminado:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#jqgCE").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#jqgCE")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#jqgCE").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutCE(id, Empresa, CodEmpresa, Nombre_Hotel, Razon_Soc, Ced_Jud, Telefono, Email, Direccion, Logo, NFactura, PrefijoFactura, NRecibo, NNotas, PrefijoRecibo, SitioWeb) {
            $.ajax({
                url: 'Servicio.svc/PutConfigEmpresas',
                data: {
                    "IdEmpresa": id, "Empresa": Empresa, "CodEmpresa": CodEmpresa, "Nombre_Hotel": Nombre_Hotel, "Razon_Soc": Razon_Soc, "Ced_Jud": Ced_Jud
                , "Telefono": Telefono, "Email": Email, "Direccion": Direccion, "Logo": Logo, "NFactura": NFactura, "PrefijoFactura": PrefijoFactura
                , "NRecibo": NRecibo, "NNotas": NNotas, "PrefijoRecibo": PrefijoRecibo, "SitioWeb": SitioWeb
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        if(id > 0 || id < 0){
                            BotonDefaultCE();
                            RefreshGridCE();
                        }
                        else
                        {
                            CreateCE();
                            RefreshGridCE();
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para eliminar los datos hacia el Web Service. */ %>

        function DelCE(id) {
            $.ajax({
                url: 'Servicio.svc/DelConfigEmpresas',
                data: { "IdEmpresa": id
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                            BotonDefaultCE();
                            RefreshGridCE();
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridCE() {
        
            var lselCE;
            var colMap = {};
            $("#jqgCE").jqGrid({
                datatype: GetCE,
                height: 250,
                width: 80,
                colNames:  HeaderTableCE,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'Empresa', index: 'Empresa', width: 10, editable: true, searchoptions:{sopt:ListFindT, searchhidden: true}, hidden: true }, 
                            { name: 'CodEmpresa', index: 'CodEmpresa', width: 10, editable: true, searchoptions:{sopt:ListFindT, searchhidden: true} }, 
                            { name: 'Nombre_Hotel', index: 'Nombre_Hotel', width: 10, editable: true, searchoptions:{sopt:ListFindT, searchhidden: true}, hidden: true }, 
                            { name: 'Razon_Soc', index: 'Razon_Soc', width: 10, editable: true, searchoptions:{sopt:ListFindT, searchhidden: true}, hidden: true }, 
                            { name: 'Ced_Jud', index: 'Ced_Jud', width: 10, editable: true, searchoptions:{sopt:ListFindT, searchhidden: true}, hidden: true }, 
                            { name: 'Telefono', index: 'Telefono', width: 10, editable: true, searchoptions:{sopt:ListFindT, searchhidden: true}, hidden: true }, 
                            { name: 'Email', index: 'Email', width: 10, editable: true, search:false, hidden: true }, 
                            { name: 'Direccion', index: 'Direccion', width: 10, editable: true, search:false, hidden: true }, 
                            { name: 'Logo', index: 'Logo', width: 10, editable: true, search:false, hidden: true }, 
                            { name: 'NFactura', index: 'NFactura', width: 10, editable: true, search:false, hidden: true }, 
                            { name: 'PrefijoFactura', index: 'PrefijoFactura', width: 10, editable: true, search:false, hidden: true }, 
                            { name: 'NRecibo', index: 'NRecibo', width: 10, editable: true, search:false, hidden: true }, 
                            { name: 'NNotas', index: 'NNotas', width: 10, editable: true, search:false, hidden: true }, 
                            { name: 'PrefijoRecibo', index: 'PrefijoRecibo', width: 10, editable: true, search: false, hidden: true },
                            { name: 'SitioWeb', index: 'SitioWeb', width: 10, editable: true, search: false, hidden: true },
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
   	                    ],
                onSelectRow: function(id){
                    if(id ){

                        if(isNaN(lselCE) && !isNaN(id))
                        {
                            $("#jqgCE").jqGrid('delRowData', lselCE);
                            //$('#jqgCE').jqGrid('resetSelection');
                        }

                        var ret = jQuery("#jqgCE").jqGrid('getRowData',id); 

                        //***
                        var SubElement = ret.Empresa + " - " + ret.Nombre_Hotel;
                        $('#IdSubElement').val(id);
                        $('#TitSubElement').html(SubElement);

                        $('#cbEmpresa').val(ret.Empresa);
                        $('#txtNombre_Hotel').val(ret.Nombre_Hotel);
                        $('#txtRazon_Soc').val(ret.Razon_Soc);
                        $('#txtCed_Jud').val(ret.Ced_Jud);
                        $('#txtTelefono').val(ret.Telefono);
                        $('#txtEmail').val(ret.Email);
                        $('#txtDireccion').val(ret.Direccion);
                        $('#txtLogo').val(ret.Logo);
                        $('#txtNFactura').val(ret.NFactura);
                        $('#txtPrefijoFactura').val(ret.PrefijoFactura);
                        $('#txtNRecibo').val(ret.NRecibo);
                        $('#txtNNotas').val(ret.NNotas);
                        $('#txtPrefijoRecibo').val(ret.PrefijoRecibo);
                        $('#txtSitioWeb').val(ret.SitioWeb);

                        $('#jqgCE').jqGrid('restoreRow',lselCE);
                        //$('#jqgCE').jqGrid('editRow', id, true, EventsCE);

                        $('#cbEmpresa').prop('disabled', true);

                        LockFields();
                       
                        lselCE=id;
                    }
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselCE))
                        {
                            $("#jqgCE").jqGrid('delRowData', lselCE);
                            $('#jqgCE').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgCE').jqGrid('saveRow',lselCE);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){
                        $('#jqgCE').jqGrid('restoreRow', id);

                        var ret = jQuery("#jqgCE").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        if(status == "True")
                        { 
                            $('#btnEliminarTextCE').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconCE').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextCE').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconCE').attr("src", "img/cross-script.png");
                        }

                        $('#jqgCE').jqGrid('setSelection', id); 

                        BotonSelectCE();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgCE").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    {
                        if (i == 0 && parseInt($('#IdSubElement').val()) == 0) {
                            $('#IdSubElement').val($("#jqgCE").getCell(rows[i], "Id"));
                        }

                        var status  = $("#jqgCE").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#jqgCE").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }
                    }
                    $('#jqgCE').jqGrid('setSelection', $('#IdSubElement').val());
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#PaginadorCE',
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows : true,
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });

            $("#bsdataCE").click(function(){ 
                jQuery("#jqgCE").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function InitializeComponentsCE() {
            $("#cbEmpresa").on('change', function () { BotonGuardarCE(); });
            $("#txtNombre_Hotel").on('input', function () { BotonGuardarCE(); });
            $("#txtRazon_Soc").on('input', function () { BotonGuardarCE(); });
            $("#txtCed_Jud").on('input', function () { BotonGuardarCE(); });
            $("#txtTelefono").on('input', function () { BotonGuardarCE(); });
            $("#txtEmail").on('input', function () { BotonGuardarCE(); });
            $("#txtDireccion").on('input', function () { BotonGuardarCE(); });
            $("#txtPrefijoFactura").on('input', function () { BotonGuardarCE(); });
            $("#txtPrefijoRecibo").on('input', function () { BotonGuardarCE(); });
            $("#txtSitioWeb").on('input', function () { BotonGuardarCE(); });
        }

        function EventsCE(id) {
            $("#" + id + "_Empresa").on('input', function () { BotonGuardarCE(); });
            $("#" + id + "_CodEmpresa").on('input', function () { BotonGuardarCE(); });
            $("#" + id + "_Nombre_Hotel").on('input', function () { BotonGuardarCE(); });
            $("#" + id + "_Razon_Soc").on('input', function () { BotonGuardarCE(); });
            $("#" + id + "_Ced_Jud").on('input', function () { BotonGuardarCE(); });
            $("#" + id + "_Telefono").on('input', function () { BotonGuardarCE(); });
            $("#" + id + "_Email").on('input', function () { BotonGuardarCE(); });
            $("#" + id + "_Direccion").on('input', function () { BotonGuardarCE(); });
            $("#" + id + "_Logo").on('input', function () { BotonGuardarCE(); });
            $("#" + id + "_NFactura").on('change', function () { BotonGuardarCE(); });
            $("#" + id + "_PrefijoFactura").on('input', function () { BotonGuardarCE(); });
            $("#" + id + "_NRecibo").on('change', function () { BotonGuardarCE(); });
            $("#" + id + "_NNotas").on('change', function () { BotonGuardarCE(); });
            $("#" + id + "_PrefijoRecibo").on('input', function () { BotonGuardarCE(); });
        }

        function EventsNewCE() {
            var selr = jQuery('#jqgCE').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_Empresa").on('input', function () { BotonGuardarCE(); });
            $("#" + selr + "_CodEmpresa").on('input', function () { BotonGuardarCE(); });
            $("#" + selr + "_Nombre_Hotel").on('input', function () { BotonGuardarCE(); });
            $("#" + selr + "_Razon_Soc").on('input', function () { BotonGuardarCE(); });
            $("#" + selr + "_Ced_Jud").on('input', function () { BotonGuardarCE(); });
            $("#" + selr + "_Telefono").on('input', function () { BotonGuardarCE(); });
            $("#" + selr + "_Email").on('input', function () { BotonGuardarCE(); });
            $("#" + selr + "_Direccion").on('input', function () { BotonGuardarCE(); });
            $("#" + selr + "_Logo").on('input', function () { BotonGuardarCE(); });
            $("#" + selr + "_NFactura").on('change', function () { BotonGuardarCE(); });
            $("#" + selr + "_PrefijoFactura").on('input', function () { BotonGuardarCE(); });
            $("#" + selr + "_NRecibo").on('change', function () { BotonGuardarCE(); });
            $("#" + selr + "_NNotas").on('change', function () { BotonGuardarCE(); });
            $("#" + selr + "_PrefijoRecibo").on('input', function () { BotonGuardarCE(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridCE()
        {
            $("#jqgCE").jqGrid("setGridParam", {datatype: "json", datatype: GetCE, loadonce: true});
            $("#jqgCE").trigger("reloadGrid"); 
            $("#jqgCE").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        function LockFields()
        {
            if(parseInt($('#txtNFactura').val()) > 1)
            {
                $('#txtNFactura').prop('readonly', true);
            }
            else
            {
                $('#txtNFactura').prop('readonly', false);
            }
            if(parseInt($('#txtNRecibo').val()) > 2)
            {
                $('#txtNRecibo').prop('readonly', true);
            }
            else
            {
                $('#txtNRecibo').prop('readonly', false);
            }
            if(parseInt($('#txtNNotas').val()) > 3)
            {
                $('#txtNNotas').prop('readonly', true);
            }
            else
            {
                $('#txtNNotas').prop('readonly', false);
            }
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateCE()
        {
            $('#IdSubElement').val(0);
            $('#TitSubElement').html('');

            $('#cbEmpresa').val(0);
            $('#txtNombre_Hotel').val('');
            $('#txtRazon_Soc').val('');
            $('#txtCed_Jud').val('');
            $('#txtTelefono').val('');
            $('#txtEmail').val('');
            $('#txtDireccion').val('');
            $('#txtNFactura').val(1);
            $('#txtPrefijoFactura').val('FA');
            $('#txtNRecibo').val(1);
            $('#txtNNotas').val(1);
            $('#txtPrefijoRecibo').val('RE');
            $('#txtSitioWeb').val('');

            $('#cbEmpresa').prop('disabled', false);

            LockFields();

            BotonNuevoCE();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveCE(){
	        PutCE($('#IdSubElement').val(), $('#cbEmpresa').val(), $('#cbEmpresa').val(), 
                $('#txtNombre_Hotel').val(), $('#txtRazon_Soc').val(), $('#txtCed_Jud').val(), $('#txtTelefono').val(), 
                $('#txtEmail').val(), $('#txtDireccion').val(), $('#txtLogo').val(), $('#txtNFactura').val(), 
                $('#txtPrefijoFactura').val(), $('#txtNRecibo').val(), $('#txtNNotas').val(), $('#txtPrefijoRecibo').val(),
                $('#txtSitioWeb').val());
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteCE(){
            var r = $('#IdSubElement').val();
            if (r != 0) {
                DelCE(r);
            }
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelCE(){
	        var id = $("#jqgCE").jqGrid('getGridParam','selrow');
	        if (id)	{

                var ret = jQuery("#jqgCE").jqGrid('getRowData',id); 
                var SubElement = ret.Empresa + " - " + ret.Nombre_Hotel;
                $('#IdSubElement').val(id);
                $('#TitSubElement').html(SubElement);

                $('#cbEmpresa').val(ret.Empresa);
                $('#txtNombre_Hotel').val(ret.Nombre_Hotel);
                $('#txtRazon_Soc').val(ret.Razon_Soc);
                $('#txtCed_Jud').val(ret.Ced_Jud);
                $('#txtTelefono').val(ret.Telefono);
                $('#txtEmail').val(ret.Email);
                $('#txtDireccion').val(ret.Direccion);
                $('#txtLogo').val(ret.Logo);
                $('#txtNFactura').val(ret.NFactura);
                $('#txtPrefijoFactura').val(ret.PrefijoFactura);
                $('#txtNRecibo').val(ret.NRecibo);
                $('#txtNNotas').val(ret.NNotas);
                $('#txtPrefijoRecibo').val(ret.PrefijoRecibo);
                $('#txtSitioWeb').val(ret.SitioWeb);

		        $('#jqgCE').restoreRow(id);

                LockFields();
	        } 
            else 
            { 
	            CreateCE();
	        }
            BotonDefaultCE();
        }

        function BotonDefaultCE() {
            $('#btnNuevoCE').button('enable');
            $('#btnEliminarCE').button('disable');
            $('#btnGuardarCE').button('disable');
            $('#btnCancelarCE').button('disable');
        }

        function BotonNuevoCE() {
            $('#btnNuevoCE').button('disable');
            $('#btnEliminarCE').button('disable');
            $('#btnGuardarCE').button('disable');
            $('#btnCancelarCE').button('enable');
        }

        function BotonSelectCE() {
            $('#btnNuevoCE').button('enable');
            var id = $("#jqgCE").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarCE').button('enable');
            }
            else {
                $('#btnEliminarCE').button('disable');
            }
            $('#btnGuardarCE').button('disable');
            $('#btnCancelarCE').button('disable');
        }

        function BotonGuardarCE() {
            $('#btnNuevoCE').button('disable');
            $('#btnEliminarCE').button('disable');
            $('#btnGuardarCE').button('enable');
            $('#btnCancelarCE').button('enable');
        }

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
            window.open('Informe.aspx?r=3&e=' + $('#cbEliminado:checked').val(), '_blank');
        }
        
    </script>
    
    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 200,
                width: 500,
                modal: true,
                buttons:
                {
                    "<%=L.LBL("LblGENAceptar") %>": function () {
                        $(this).dialog('close');
                    }
                }
            });

            $("#SevenMenu").accordion("option", "active", 5);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            LoadGridCE();

            InitializeComponentsCE();

            BotonDefaultCE();

        });
    </script>

    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table width="100%" style="white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M6';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="ConfiguracionEmpresas.aspx"><%=L.TIT("ConfiguracionEmpresas") %></a>
                </td>
                <td width="100%"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>
            
    <div id="SevenPrincipal">
                
        <div id="SevenMedio">
                    
            <div id="SevenInterno" style="width: 620px;">

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center;padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center;padding-top: 25px">
                    
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("ConfiguracionEmpresas") %></span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultCE();RefreshGridCE();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk-parametros/3-1-definici%C3%B3n-de-camareras/', '_blank');" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                    </tr>
                </table>

                <% 
                    if (CorrectoIns)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoMod)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoEli)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
                    if (!String.IsNullOrEmpty(ErrorMsg))
                    {    
                %>

                    <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />

                <table style="width: 100%;">
                    <tr>
                        <td>
                            <table id="jqgCE"></table>
                            <div id="PaginadorCE" ></div>
                        </td>
                        <td>
                            <fieldset>
                                <input type="hidden" id="IdSubElement" value="0" />
                                <legend><b><%=L.LBL("LblGENDatos") %> - <span id="TitSubElement" ></span></b></legend>

                                <table style="width: 100%">
                                    <tr>
	                                    <td>
		                                    <%=L.LBL("LblGENCompany")%>:
	                                    </td>
	                                    <td colspan="3">
		                                    <%=cbEmpresas %>
	                                    </td>
                                    </tr>
                                    <tr>
	                                    <td>
		                                    <%=L.LBL("LblFDKSNombreHotel")%>:
	                                    </td>
	                                    <td colspan="3">
		                                    <input type="text" id="txtNombre_Hotel" name="txtNombre_Hotel" value="" size="54" />
	                                    </td>
                                    </tr>
                                    <tr>
	                                    <td>
		                                    <%=L.LBL("LblFDKSRazonSocial")%>:
	                                    </td>
	                                    <td colspan="3">
		                                    <input type="text" id="txtRazon_Soc" name="txtRazon_Soc" value="" size="54" />
	                                    </td>
                                    </tr>
                                    <tr>
	                                    <td>
		                                    <%=L.LBL("LblFDKSCedulaJuridica")%>:
	                                    </td>
	                                    <td colspan="3">
		                                    <input type="text" id="txtCed_Jud" name="txtCed_Jud" value="" size="54" />
	                                    </td>
                                    </tr>
                                    <tr>
	                                    <td>
		                                    <%=L.LBL("LblGENTelefono")%>:
	                                    </td>
	                                    <td colspan="3">
		                                    <input type="text" id="txtTelefono" name="txtTelefono" value="" size="54" />
	                                    </td>
                                    </tr>
                                    <tr>
	                                    <td>
		                                    <%=L.LBL("LblGENEmail")%>:
	                                    </td>
	                                    <td colspan="3">
		                                    <input type="text" id="txtEmail" name="txtEmail" value="" size="54" />
	                                    </td>
                                    </tr>
                                    <tr>
	                                    <td>
		                                    <%=L.LBL("LblGENDireccion")%>:
	                                    </td>
	                                    <td colspan="3">
		                                    <input type="text" id="txtDireccion" name="txtDireccion" value="" size="54" />
	                                    </td>
                                    </tr>
                                    <tr>
	                                    <td>
		                                    <%=L.LBL("LblGENSitioWeb")%>:
	                                    </td>
	                                    <td colspan="3">
		                                    <input type="text" id="txtSitioWeb" name="txtSitioWeb" value="" size="54" />
	                                    </td>
                                    </tr>
                                    <%--<tr>
	                                    <td>
		                                    <%=L.LBL("LblLogo") %>:
	                                    </td>
	                                    <td>
		                                    <input type="text" id="txtLogo" name="txtLogo" value="" />
	                                    </td>
                                    </tr>--%>
                                    <tr>
	                                    <td>
		                                    <%=L.LBL("LblFDKSConsecFacturas")%>:
	                                    </td>
	                                    <td>
		                                    <input type="text" id="txtNFactura" name="txtNFactura" value="0" size="10" />
	                                    </td>
                                        <td>
		                                    <%=L.LBL("LblFDKSPrefFacturas")%>:
	                                    </td>
	                                    <td>
		                                    <input type="text" id="txtPrefijoFactura" name="txtPrefijoFactura" value=""  size="5" />
	                                    </td>
                                    </tr>
                                    <tr>
	                                    <td>
		                                    <%=L.LBL("LblFDKSConsecRecibos")%>:
	                                    </td>
	                                    <td>
		                                    <input type="text" id="txtNRecibo" name="txtNRecibo" value="0" size="10" />
	                                    </td>
                                        <td>
		                                    <%=L.LBL("LblFDKSPrefRecibos")%>:
	                                    </td>
	                                    <td>
		                                    <input type="text" id="txtPrefijoRecibo" name="txtPrefijoRecibo" value=""  size="5" />
	                                    </td>
                                    </tr>
                                    <tr>
	                                    <td>
		                                    <%=L.LBL("LblFDKSConsecNotas")%>:
	                                    </td>
	                                    <td>
		                                    <input type="text" id="txtNNotas" name="txtNNotas" value="0" size="10" />
	                                    </td>
                                    </tr>
                                </table>
                            </fieldset>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <table width="100%">
                                <tr>
                                    <td colspan="4">
                                        <table width="100%">
                                            <tr>
                                                <td width="100%"></td>
                                                <td>
                                                    <button type="button" id="bsdataCE" value="Search" >
                                                        <table>
                                                        <tr><td>
                                                        <img src="img/binocular.png" 
                                                         alt="<%=L.LBL("LblGENSearch") %>" />
                                                        </td><td>
                                                        <%=L.LBL("LblGENSearch") %>
                                                        </td></tr>
                                                        </table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnNuevoCE" onclick="CreateCE();">
                                                        <table><tr><td><img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" /></td><td><%=L.LBL("LblGENNew") %></td></tr></table>
                                                    </button>
                                                </td>
                                                <%--<td>
                                                    <button type="button" id="btnEliminarCE" onclick="DeleteCE();">
                                                        <table><tr><td><img id="btnEliminarIconCE" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" /></td><td id="btnEliminarTextCE"><%=L.LBL("LblGENDelete") %></td></tr></table>
                                                    </button>
                                                </td>--%>
                                                <td>
                                                    <button type="button" id="btnGuardarCE" onclick="SaveCE();">
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                    </td>
                                                                    <td><%=L.LBL("LblGENSave") %></td>
                                                                </tr>
                                                            </table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnCancelarCE" onclick="CancelCE();">
                                                            <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td><td><%=L.LBL("LblGENCancel") %></td></tr></table>
                                                    </button>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
                            
            </div>
                    
        </div>
                
    </div>

    <% } catch { } %>

</asp:Content>

