﻿<% @Import Namespace="Seven.Front.Settings" %>
<% @Import Namespace="Seven.Front.Settings.Globals" %>
<% @Import Namespace="Seven.Front.Settings.Objects" %>
<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="Monedas.aspx.cs" Inherits="Seven.Front.Settings.Monedas" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title><%=L.TIT("Monedas") %> [4.9]</title>
    
    <script type="text/javascript">

        var ListFindN    =  ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT    =  ['cn','eq','bw','bn','nc','ew','en'];

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetData() {
            $.ajax({
                url: 'Servicio.svc/GetMonedas',
                data: { "Eliminado": $('#cbEliminado:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#TablaGrid").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#TablaGrid")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#TablaGrid").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                }
            });
        }

        <% /* Función para crear, editar o eliminar los datos hacia el Web Service. */ %>

        function PutData(id, cod, desc, tasa, comi, deci, conv, fact, ref, eli) {
            $('#cbEmpresa').removeAttr("disabled");
            $.ajax({
                url: 'Servicio.svc/PutMonedas',
                data: { "IdMone": id, "Codigo": cod, "Descripcion": desc, "Tasa": tasa, "Comision": comi, "Decimales": deci
                , "Convertible": conv, "Facturable": fact, "Referencia": ref, "Eliminado": eli
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                , "Empresa": $('#cbEmpresa').val(), "DepAdel": $('#cbServFactNC0').val(), "PagoTarj": $('#cbServFactNC1').val() },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                        if (eli == 1) {
                            $('#IdSubElement').val(0);
                            $('#TitSubElement').html('');

                            BotonDefault();
                            RefreshGrid();
                        }
                        else if(id > 0 || id < 0){
                            BotonDefault();
                            RefreshGrid();
                        }
                        else
                        {
                            $('#IdSubElement').val(res);
                            BotonDefault();
                            RefreshGrid();
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGrid() {
        
            var lastsel2;
            var colMap = {};
            $("#TablaGrid").jqGrid({
                datatype: GetData,
                height: 255,
                width: 700,
                colNames: ['Index', '<%=L.LBL("LblGENCode") %>', '<%=L.LBL("LblGENDescription") %>', 'Tasa', 'Comisión', 'Dec.', 'Conv', 'Fact', 'Ref', '<%=L.LBL("LblGENActiveAbbr") %>', '', '', '', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
   		                    { name: 'Code', index: 'Code', width: 12, editable: true, searchoptions:{sopt:ListFindT} },
   		                    { name: 'Desc', index: 'Desc', width: 32, editable: true, searchoptions:{sopt:ListFindT} },
                            { name: 'Tasa', index: 'Tasa', width: 15, editable: true, searchoptions:{sopt:ListFindN} },
                            { name: 'Comi', index: 'Comi', width: 10, editable: true, searchoptions:{sopt:ListFindN} },
                            { name: 'Dec', index: 'Dec', width: 5, editable: true, search:false },
                            { name: 'Conv', index: 'Conv', width: 7, editable: true, search:false,
                                edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: 'True:False' },
                                formatoptions: { disabled: true }
                            },
                            { name: 'Fact', index: 'Fact', width: 7, editable: true, search:false,
                                edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: 'True:False' }, 
                                formatoptions: { disabled: true } }, 
                            { name: 'Ref', index: 'Ref', width: 7, editable: true, search:false,
                                edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: 'True:False' }, 
                                formatoptions: { disabled: true } }, 
                            { name: 'Eli', index: 'Eli', width: 3, search:false, hidden: true },
                            { name: 'Emp', index: 'Emp', width: 3, search:false, hidden: true, editable: true },
                            { name: 'Da', index: 'Da', width: 3, search:false, hidden: true, editable: true },
                            { name: 'Pt', index: 'Pt', width: 3, search:false, hidden: true, editable: true },
                            { name: 'TieneReg', index: 'TieneReg', width: 3, search:false, hidden: true, editable: true }
                ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastsel2*/) {

                        if (isNaN(lastsel2) && !isNaN(id)) {
                            $("#TablaGrid").jqGrid('delRowData', lastsel2);
                            //$('#TablaGrid').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#TablaGrid').jqGrid('restoreRow', lastsel2);

                            var ret = jQuery("#TablaGrid").jqGrid('getRowData', id);

                            $('#IdSubElement').val(id);
                            $('#TitSubElement').html(ret.Code) + ' - ' + $(ret.Desc);

                            $('#cbEmpresa').val(ret.Emp);
                            $('#cbServFactNC0').val(ret.Da);
                            $('#cbServFactNC1').val(ret.Pt);
                            var tr = parseInt(ret.TieneReg);
                            if (tr == 1) {
                                $('#cbEmpresa').attr("disabled", "true");
                            }
                            else {
                                $('#cbEmpresa').removeAttr("disabled");
                            }
                        }
                        else {
                            BotonNuevo();
                        }

                        $('#TablaGrid').jqGrid('editRow', id, true, Events);

                        lastsel2 = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id /*&& id !== lastsel2*/) {
                        if (isNaN(lastsel2)) {
                            $("#TablaGrid").jqGrid('delRowData', lastsel2);
                            $('#TablaGrid').jqGrid('resetSelection');
                        }
                        else {
                            $('#TablaGrid').jqGrid('saveRow', lastsel2);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastsel2*/) {
                        if (!isNaN(id)) {
                            $('#TablaGrid').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#TablaGrid").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarText').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIcon').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarText').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIcon').attr("src", "img/cross-script.png");
                        }

                        $('#TablaGrid').jqGrid('setSelection', id);
                    }
                    BotonSelect();
                },
                gridComplete: function()
                {  
                    var rows = $("#TablaGrid").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    {
                        if (i == 0 && parseInt($('#IdSubElement').val()) == 0) {
                            $('#IdSubElement').val($("#TablaGrid").getCell(rows[i], "Id"));
                        }

                        var status  = $("#TablaGrid").getCell(rows[i], "Eli");

                        if(status == "True")
                        {
                            $("#TablaGrid").jqGrid('setRowData',rows[i],false, 
                            //{color:'black',background:'rgb(230,230,250)',font:'italic' });
                            {color:'red',font:'italic' });
                        }
                    }
                    $('#TablaGrid').jqGrid('setSelection', $('#IdSubElement').val());
                    if (parseInt($('#IdSubElement').val()) != 0) {
                        BotonSelect();
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#Paginador',
                sortname: 'Code',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows : true,
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });

            $("#bsdata").click(function(){ 
                jQuery("#TablaGrid").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function Events(id) {
            $("#" + id + "_Code").on('input', function () { BotonGuardar(); });
            $("#" + id + "_Desc").on('input', function () { BotonGuardar(); });
            $("#" + id + "_Tasa").on('input', function () { BotonGuardar(); });
            $("#" + id + "_Comi").on('input', function () { BotonGuardar(); });
            $("#" + id + "_Dec").on('input', function () { BotonGuardar(); });
            $("#" + id + "_Conv").on('change', function () { BotonGuardar(); });
            $("#" + id + "_Fact").on('change', function () { BotonGuardar(); });
            $("#" + id + "_Ref").on('change', function () { BotonGuardar(); });
        }

        function EventsNew() {
            var selr = jQuery('#TablaGrid').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_Code").on('input', function () { BotonGuardar(); });
            $("#" + selr + "_Desc").on('input', function () { BotonGuardar(); });
            $("#" + selr + "_Tasa").on('input', function () { BotonGuardar(); });
            $("#" + selr + "_Comi").on('input', function () { BotonGuardar(); });
            $("#" + selr + "_Dec").on('input', function () { BotonGuardar(); });
            $("#" + selr + "_Conv").on('change', function () { BotonGuardar(); });
            $("#" + selr + "_Fact").on('change', function () { BotonGuardar(); });
            $("#" + selr + "_Ref").on('change', function () { BotonGuardar(); });
        }

        function InitializeComponents() {
            $("#cbEmpresa").on('change', function () {
                var id = $("#TablaGrid").jqGrid('getGridParam', 'selrow');
                if (id) {
                    BotonGuardar();
                }
            });
            $("#cbServFactNC0").on('change', function () {
                var id = $("#TablaGrid").jqGrid('getGridParam', 'selrow');
                if (id) {
                    BotonGuardar();
                }
            });
            $("#cbServFactNC1").on('change', function () {
                var id = $("#TablaGrid").jqGrid('getGridParam', 'selrow');
                if (id) {
                    BotonGuardar();
                }
            });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGrid()
        {
            $("#TablaGrid").jqGrid("setGridParam", {datatype: "json", datatype: GetData, loadonce: true});
            $("#TablaGrid").trigger("reloadGrid"); 
            $("#TablaGrid").jqGrid("setGridParam", {datatype: "local", loadonce: true});
            //$("#TablaGrid").jqGrid('delRowData', 0);
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateElement()
        {
            $('#IdSubElement').val(0);
            $('#TitSubElement').html('');

            $("#TablaGrid").jqGrid('addRow',{
                //rowID : "0",
                initdata : {'Id': '0', 'Fact': 'True', 'Comi': '0', 'Dec': '2'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            $('#cbEmpresa').removeAttr("disabled");
            BotonNuevo();
            EventsNew();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveElement(){
	        var id = $("#TablaGrid").jqGrid('getGridParam','selrow');
	        if (id)	{
		        //var ret = $("#TablaGrid").jqGrid('getRowData',id);
                PutData(id, $('#' + id + '_Code').val(), $('#' + id + '_Desc').val(), $('#' + id + '_Tasa').val(), $('#' + id + '_Comi').val(), $('#' + id + '_Dec').val()
                    , $('#' + id + '_Conv:checked').val(), $('#' + id + '_Fact:checked').val(), $('#' + id + '_Ref:checked').val(), 0);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteElement(){
	        var id = $("#TablaGrid").jqGrid('getGridParam','selrow');
	        if (id)	{
		        var ret = $("#TablaGrid").jqGrid('getRowData',id);
                PutData(id, $('#' + id + '_Code').val(), $('#' + id + '_Desc').val(), $('#' + id + '_Tasa').val(), $('#' + id + '_Comi').val(), $('#' + id + '_Dec').val()
                    , $('#' + id + '_Conv').val(), $('#' + id + '_Fact').val(), $('#' + id + '_Ref').val(), 1);
                RefreshGrid();
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelElement(){
	        var id = $("#TablaGrid").jqGrid('getGridParam','selrow');
	        if (id)	{
		        $('#TablaGrid').restoreRow(id);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
	        }
            BotonDefault();
        }

        function BotonDefault() {
            $('#btnNuevo').button('enable');
            $('#btnEliminar').button('disable');
            $('#btnGuardar').button('disable');
            $('#btnCancelar').button('disable');
        }

        function BotonNuevo() {
            $('#btnNuevo').button('disable');
            $('#btnEliminar').button('disable');
            $('#btnGuardar').button('disable');
            $('#btnCancelar').button('enable');
        }

        function BotonSelect() {
            $('#btnNuevo').button('enable');
            var id = $("#TablaGrid").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminar').button('enable');
            }
            else {
                $('#btnEliminar').button('disable');
            }
            $('#btnGuardar').button('disable');
            $('#btnCancelar').button('disable');
        }

        function BotonGuardar() {
            $('#btnNuevo').button('disable');
            $('#btnEliminar').button('disable');
            $('#btnGuardar').button('enable');
            $('#btnCancelar').button('enable');
        }

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
	        window.open('Informe.aspx?r=410&e=' + $('#cbEliminado:checked').val(), '_blank');
        }
        
    </script>
    
    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 200,
                width: 500,
                modal: true,
                buttons:
                {
                    "<%=L.LBL("LblGENAceptar") %>": function ()
                    {
                        $(this).dialog('close');
                    }
                }
            });

            $("#EnlaceMaestro").focus();

            $("#MainForm").validate({
                rules: {
                    txtNombre: "required"
                },
                messages: {
                    txtNombre: "Requerido"
                }
            });

            $("#SevenMenu").accordion("option", "active", 5);

            LoadGrid();

            BotonDefault();

            InitializeComponents();

        });
    </script>

    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table width="100%" style="white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M6';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="Monedas.aspx"><%=L.TIT("Monedas") %> [4.9]</a>
                </td>
                <td width="100%"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>
            
    <div id="SevenPrincipal">
                
        <div id="SevenMedio">
                    
            <div id="SevenInterno" style="width: 700px;">

                <div id="dlgEliminar" title="Eliminar elemento" style="text-align: center;padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center;padding-top: 25px">
                    
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("Monedas") %> [4.9]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefault()RefreshGrid();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk-parametros/4-9-monedas/', '_blank');" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <% 
                    if (CorrectoIns)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoMod)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoEli)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
                    if (!String.IsNullOrEmpty(ErrorMsg))
                    {    
                %>

                    <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <table id="TablaGrid"></table>
                <div id="Paginador" ></div>

                

                <br />

                <fieldset>
                    <legend><b><%=L.LBL("LblGENMoney") %>: <span id="TitSubElement"></span></b></legend>
                    <input type="hidden" id="IdSubElement" value="0" />
                    <table>
                        <tr>
                            <td width="35%"><%=L.LBL("LblGENCompany") %>:</td>
                            <td width="65%">
                                <%=ComboEmpresa %>
                            </td>
                        </tr>
                        <tr>
                            <td><%=L.LBL("LblGENAheadDeposits") %>:</td>
                            <td>
                                <%=ComboServFactNC0 %>
                            </td>
                        </tr>
                        <tr>
                            <td><%=L.LBL("LblGENCardPartialPayment") %>:</td>
                            <td>
                                <%=ComboServFactNC1 %>
                            </td>
                        </tr>
                    </table>
                </fieldset>    
                
                <table width="100%">
                    <tr>
                        <td colspan="4">
                            <table width="100%">
                                <tr>
                                    <td width="100%"></td>
                                    <td>
                                        <button type="button" id="bsdata" value="Search" >
                                            <table>
                                            <tr><td>
                                            <img src="img/binocular.png" 
                                             alt="<%=L.LBL("LblGENSearch") %>" />
                                            </td><td>
                                            <%=L.LBL("LblGENSearch") %>
                                            </td></tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnNuevo" onclick="CreateElement();">
                                            <table><tr><td><img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" /></td><td><%=L.LBL("LblGENNew") %></td></tr></table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnEliminar" onclick="DeleteElement();">
                                            <table><tr><td><img id="btnEliminarIcon" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" /></td><td id="btnEliminarText"><%=L.LBL("LblGENDelete") %></td></tr></table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnGuardar" onclick="SaveElement();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblGENSave") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnCancelar" onclick="CancelElement();">
                                                <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td><td><%=L.LBL("LblGENCancel") %></td></tr></table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>   
                            
            </div>
                    
        </div>
                
    </div>

    <% } catch { } %>

</asp:Content>

