﻿<% @Import Namespace="Seven.Front.Settings" %>
<% @Import Namespace="Seven.Front.Settings.Globals" %>
<% @Import Namespace="Seven.Front.Settings.Objects" %>
<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="RegimenesAlojamiento.aspx.cs" Inherits="Seven.Front.Settings.RegimenesAlojamiento" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title><%=L.TIT("RegimenesAlojamiento") %> [4.8]</title>
    
    <script type="text/javascript">

        var ListFindN    =  ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT    =  ['cn','eq','bw','bn','nc','ew','en'];

        var HeaderTableReg = <%=L.LBL("LblFDKSRangoHabi") %>;
        var HeaderTableRegCon = <%=L.LBL("LblFDKSRegAlojConceptos") %>;
        var HeaderTableRegPre = <%=L.LBL("LblFDKSRegAlojPrecios") %>;

        <% /* Código del jqGrid para Regímenes de Alojamiento */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetReg() {
            $.ajax({
                url: 'Servicio.svc/GetRegimenesAlojamiento',
                data: { "Eliminado": $('#cbEliminado:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#jqgReg").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#jqgReg")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#jqgReg").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutReg(id, cod_ralo, desc_ralo) {
            $.ajax({
                url: 'Servicio.svc/PutRegimenesAlojamiento',
                data: { "id_ralo": id, "cod_ralo": cod_ralo, "desc_ralo": desc_ralo
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                        if(id > 0 || id < 0){
                            BotonDefaultReg();
                            RefreshGridReg();
                        }
                        else
                        {
                            $('#IdSubElement').val(res);
                            BotonDefaultReg();
                            RefreshGridReg();
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para eliminar los datos hacia el Web Service. */ %>

        function DelReg(id) {
            $.ajax({
                url: 'Servicio.svc/DelRegimenesAlojamiento',
                data: { "id_ralo": id
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        $('#IdSubElement').val(0);
                        $('#IdSubElement2').val(0);
                        $('#TitSubElement').html('');
                        $('#TitSubElement2').html('');
                        RefreshGridRegCon();
                        RefreshGridRegPre();

                        BotonDefaultReg();
                        RefreshGridReg();
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridReg() {
        
            var lselReg;
            var colMap = {};
            $("#jqgReg").jqGrid({
                datatype: 'local',
                height: 215,
                width: 700,
                colNames:  HeaderTableReg,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'cod_ralo', index: 'cod_ralo', width: 30, editable: true, searchoptions:{sopt:ListFindT} }, 
                            { name: 'desc_ralo', index: 'desc_ralo', width: 70, editable: true, searchoptions:{sopt:ListFindT} }, 
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
   	                    ],
                onSelectRow: function(id){
                    if(id ){

                        if(isNaN(lselReg) && !isNaN(id))
                        {
                            $("#jqgReg").jqGrid('delRowData', lselReg);
                            //$('#jqgReg').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#jqgReg').jqGrid('restoreRow', lselReg);

                            var ret = jQuery("#jqgReg").jqGrid('getRowData',id); 

                            $('#IdSubElement').val(ret.Id);
                            $('#TitSubElement').html(ret.cod_ralo);

                            $('#FirstLoadRegPre').val(1);

                            $('#jqgRegCon').jqGrid('clearGridData');
                            $('#jqgRegPre').jqGrid('clearGridData');
                            $('#TitSubElement2').html('');

                            RefreshGridRegCon();
                            BotonDefaultRegCon();
                        }
                        else {
                            BotonNuevoReg();
                        }

                        $('#jqgReg').jqGrid('editRow', id, true, EventsReg);
                       
                        lselReg=id;
                    }
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselReg))
                        {
                            $("#jqgReg").jqGrid('delRowData', lselReg);
                            $('#jqgReg').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgReg').jqGrid('saveRow',lselReg);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){
                        if (!isNaN(id)) {
                            $('#jqgReg').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgReg").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        if(status == "True")
                        { 
                            $('#btnEliminarTextReg').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconReg').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextReg').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconReg').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgReg').jqGrid('setSelection', id); 

                        BotonSelectReg();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgReg").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    { 
                        if (i == 0 && parseInt($('#IdSubElement').val()) == 0) {
                            $('#IdSubElement').val($("#jqgReg").getCell(rows[i], "Id"));
                        }

                        var status  = $("#jqgReg").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#jqgReg").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }
                    }
                    $('#jqgReg').jqGrid('setSelection', $('#IdSubElement').val());
                    if(parseInt($('#IdSubElement').val()) != 0)
                    {
                        BotonSelectReg();
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#PaginadorReg',
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows : true,
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });

            $("#bsdataReg").click(function(){ 
                jQuery("#jqgReg").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function EventsReg(id) {
            $("#" + id + "_cod_ralo").on('input', function () { BotonGuardarReg(); });
            $("#" + id + "_desc_ralo").on('input', function () { BotonGuardarReg(); });
            $("#" + id + "_eliminado").on('change', function () { BotonGuardarReg(); });
        }

        function EventsNewReg() {
            var selr = jQuery('#jqgReg').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_cod_ralo").on('input', function () { BotonGuardarReg(); });
            $("#" + selr + "_desc_ralo").on('input', function () { BotonGuardarReg(); });
            $("#" + selr + "_eliminado").on('change', function () { BotonGuardarReg(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridReg()
        {
            $("#jqgReg").jqGrid("setGridParam", {datatype: "json", datatype: GetReg, loadonce: true});
            $("#jqgReg").trigger("reloadGrid"); 
            $("#jqgReg").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateReg()
        {
            $('#IdSubElement').val(0);
            $('#IdSubElement2').val(0);
            $('#TitSubElement').html('');
            $('#TitSubElement2').html('');
            RefreshGridRegCon();
            RefreshGridRegPre();

            $("#jqgReg").jqGrid('addRow',{
                initdata : {'Id': '0'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonNuevoReg();
            EventsNewReg();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveReg(){
	        var id = $("#jqgReg").jqGrid('getGridParam','selrow');
	        if (id)	{
                PutReg(id, $('#' + id + '_cod_ralo').val(), $('#' + id + '_desc_ralo').val());
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteReg(){
	        var id = $("#jqgReg").jqGrid('getGridParam','selrow');
	        if (id)	{
		        var ret = $("#jqgReg").jqGrid('getRowData',id);
                DelReg(id);
                RefreshGridReg();
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelReg(){
	        var id = $("#jqgReg").jqGrid('getGridParam','selrow');
	        if (id)	{
		        $('#jqgReg').restoreRow(id);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
	        }
            BotonDefaultReg();
        }

        function BotonDefaultReg() {
            $('#btnNuevoReg').button('enable');
            $('#btnEliminarReg').button('disable');
            $('#btnGuardarReg').button('disable');
            $('#btnCancelarReg').button('disable');
        }

        function BotonNuevoReg() {
            $('#btnNuevoReg').button('disable');
            $('#btnEliminarReg').button('disable');
            $('#btnGuardarReg').button('disable');
            $('#btnCancelarReg').button('enable');
        }

        function BotonSelectReg() {
            $('#btnNuevoReg').button('enable');
            var id = $("#jqgReg").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarReg').button('enable');
            }
            else {
                $('#btnEliminarReg').button('disable');
            }
            $('#btnGuardarReg').button('disable');
            $('#btnCancelarReg').button('disable');
        }

        function BotonGuardarReg() {
            $('#btnNuevoReg').button('disable');
            $('#btnEliminarReg').button('disable');
            $('#btnGuardarReg').button('enable');
            $('#btnCancelarReg').button('enable');
        }

        <% /* Código del jqGrid para Regímenes de Alojamiento - Conceptos */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetRegCon() {
            $.ajax({
                url: 'Servicio.svc/GetRegAlojConceptos',
                data: { "id_ralo": $('#IdSubElement').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#TitSubElement').css("color", "red");
                },
                success: function (json) {
                    $("#jqgRegCon").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#jqgRegCon")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#jqgRegCon").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                    $('#TitSubElement').css("color", "green");
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutRegCon(id, id_ralo, id_con0, tipo, PPax) {
            $.ajax({
                url: 'Servicio.svc/PutRegAlojConceptos',
                data: { "id_rali": id, "id_ralo": $('#IdSubElement').val(), "id_con0": id_con0, "tipo": tipo, "PPax": PPax
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                        if(id > 0 || id < 0){
                            BotonDefaultRegCon();
                            $('#FirstLoadRegPre').val(1);
                            RefreshGridRegCon();
                        }
                        else
                        {
                            $('#IdSubElement2').val(res);
                            BotonDefaultRegCon();
                            $('#FirstLoadRegPre').val(1);
                            RefreshGridRegCon();
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para eliminar los datos hacia el Web Service. */ %>

        function DelRegCon(id) {
            $.ajax({
                url: 'Servicio.svc/DelRegAlojConceptos',
                data: { "id_rali": id
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        $('#IdSubElement2').val(0);
                        $('#TitSubElement2').html('');
                        RefreshGridRegPre();

                        BotonDefaultRegCon();
                        RefreshGridRegCon();
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridRegCon() {
            $('#FirstLoadRegPre').val(1);

            var lselRegCon;
            var colMap = {};
            $("#jqgRegCon").jqGrid({
                datatype: 'local',
                height: 155,
                width: 320,
                colNames:  HeaderTableRegCon,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'id_ralo', index: 'id_ralo', width: 10, editable: true, hidden: true }, 
                            { name: 'id_con0', index: 'id_con0', width: 43, editable: true, formatter:'select', stype:'select', edittype:'select', editoptions: {<%=cbServFact %>}, searchoptions: {<%=cbServFact %>} }, 
                            { name: 'tipo', index: 'tipo', width: 42, editable: true, search:true, formatter:'select', stype:'select', edittype:'select', editoptions: { value: "<%=Utils.cbRegAlojConceptosTipos() %>" }, searchoptions: { value: "<%=Utils.cbRegAlojConceptosTipos() %>" } }, 
                            { name: 'PPax', index: 'PPax', width: 15, editable: true, search:true, 
                                edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: 'True:False' }, 
                                formatoptions: { disabled: true } }, 
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
   	                    ],
                onSelectRow: function(id){
                    if(id){

                        if(isNaN(lselRegCon) && !isNaN(id))
                        {
                            $("#jqgRegCon").jqGrid('delRowData', lselRegCon);
                            //$('#jqgRegCon').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#jqgRegCon').jqGrid('restoreRow', lselRegCon);

                            var ret = jQuery("#jqgRegCon").jqGrid('getRowData',id); 

                            $('#IdSubElement2').val(ret.Id);

                            $('#jqgRegPre').jqGrid('clearGridData');
                            $('#TitSubElement2').html('');

                            GetMonedasXServFacturacionCombo(ret.id_con0)
                            BotonDefaultRegPre();
                        }
                        else {
                            BotonGuardarRegCon();
                        }

                        $('#jqgRegCon').jqGrid('editRow', id, true, EventsRegCon);

                        if(!isNaN(id))
                        {
                             var dropdown = $('#' + id + '_id_con0')[0];
                             var selectedOption = dropdown.options[dropdown.selectedIndex];
                             var selectedText = selectedOption.text; 

                             $('#TitSubElement2').html(selectedText);
                        }
                       
                        lselRegCon=id;
                    }
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselRegCon))
                        {
                            $("#jqgRegCon").jqGrid('delRowData', lselRegCon);
                            $('#jqgRegCon').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgRegCon').jqGrid('saveRow',lselRegCon);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){
                        if (!isNaN(id)) {
                            $('#jqgRegCon').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgRegCon").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        if(status == "True")
                        { 
                            $('#btnEliminarTextRegCon').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconRegCon').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextRegCon').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconRegCon').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgRegCon').jqGrid('setSelection', id); 

                        BotonSelectRegCon();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgRegCon").getDataIDs(); 

                    var firstid;
                    var primero = true;

                    for (var i = 0; i < rows.length; i++)
                    { 
                        if(primero)
                        {
                            firstid = rows[i];
                            primero = false;
                        }

                        var status  = $("#jqgRegCon").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#jqgRegCon").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }
                    }

                    if(!primero && parseInt($('#FirstLoadRegPre').val()) == 1)
                    {
                        var ret = jQuery("#jqgRegCon").jqGrid('getRowData', firstid); 

                        $('#jqgRegCon').jqGrid('setSelection', ret.Id); 
                        $('#jqgRegCon').jqGrid('editRow', ret.Id, true, EventsRegCon);

                        if(!isNaN(ret.Id))
                        {
                            $('#IdSubElement2').val(ret.Id);

                            GetMonedasXServFacturacionCombo(ret.id_con0)
                            BotonDefaultRegPre();
                        }

                        $('#FirstLoadRegPre').val(0);

                        RefreshGridRegPre();
                        BotonSelectRegCon();

                    }

                    $('#jqgRegCon').jqGrid('setSelection', $('#IdSubElement2').val());
                    if(parseInt($('#IdSubElement2').val()) != 0)
                    {
                        BotonSelectRegCon();
                    }

                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#PaginadorRegCon',
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows : true,
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });

            $("#bsdataRegCon").click(function(){ 
                jQuery("#jqgRegCon").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function EventsRegCon(id) {
            $("#" + id + "_id_ralo").on('change', function () { BotonGuardarRegCon(); });
            $("#" + id + "_id_con0").on('change', function () { BotonGuardarRegCon(); });
            $("#" + id + "_tipo").on('change', function () { BotonGuardarRegCon(); });
            $("#" + id + "_PPax").on('change', function () { BotonGuardarRegCon(); });
        }

        function EventsNewRegCon() {
            var selr = jQuery('#jqgRegCon').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_id_ralo").on('change', function () { BotonGuardarRegCon(); });
            $("#" + selr + "_id_con0").on('change', function () { BotonGuardarRegCon(); });
            $("#" + selr + "_tipo").on('change', function () { BotonGuardarRegCon(); });
            $("#" + selr + "_PPax").on('change', function () { BotonGuardarRegCon(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridRegCon()
        {
            $("#jqgRegCon").jqGrid("setGridParam", {datatype: "json", datatype: GetRegCon, loadonce: true});
            $("#jqgRegCon").trigger("reloadGrid"); 
            $("#jqgRegCon").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateRegCon()
        {
            $('#IdSubElement2').val(0);
            $('#TitSubElement2').html('');
            RefreshGridRegPre();

            $("#jqgRegCon").jqGrid('addRow',{
                initdata : {'Id': '0'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonGuardarRegCon();
            EventsNewRegCon();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveRegCon(){
	        var id = $("#jqgRegCon").jqGrid('getGridParam','selrow');
	        if (id)	{
                PutRegCon(id, $('#' + id + '_id_ralo').val(), $('#' + id + '_id_con0').val(), $('#' + id + '_tipo').val(), $('#' + id + '_PPax:checked').val());
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteRegCon(){
	        var id = $("#jqgRegCon").jqGrid('getGridParam','selrow');
	        if (id)	{
		        var ret = $("#jqgRegCon").jqGrid('getRowData',id);
                DelRegCon(id);
                RefreshGridRegCon();
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelRegCon(){
	        var id = $("#jqgRegCon").jqGrid('getGridParam','selrow');
	        if (id)	{
		        $('#jqgRegCon').restoreRow(id);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
	        }
            BotonDefaultRegCon();
        }

        function BotonDefaultRegCon() {
            $('#btnNuevoRegCon').button('enable');
            $('#btnEliminarRegCon').button('disable');
            $('#btnGuardarRegCon').button('disable');
            $('#btnCancelarRegCon').button('disable');
        }

        function BotonNuevoRegCon() {
            $('#btnNuevoRegCon').button('disable');
            $('#btnEliminarRegCon').button('disable');
            $('#btnGuardarRegCon').button('disable');
            $('#btnCancelarRegCon').button('enable');
        }

        function BotonSelectRegCon() {
            $('#btnNuevoRegCon').button('enable');
            var id = $("#jqgRegCon").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarRegCon').button('enable');
            }
            else {
                $('#btnEliminarRegCon').button('disable');
            }
            $('#btnGuardarRegCon').button('disable');
            $('#btnCancelarRegCon').button('disable');
        }

        function BotonGuardarRegCon() {
            $('#btnNuevoRegCon').button('disable');
            $('#btnEliminarRegCon').button('disable');
            $('#btnGuardarRegCon').button('enable');
            $('#btnCancelarRegCon').button('enable');
        }

        <% /* Código del jqGrid para RegPre */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetMonedasXServFacturacionCombo(id_con0) {
            $.ajax({
                url: 'Servicio.svc/GetMonedasXServFacturacionCombo',
                data: { "id_con0": id_con0
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#TitSubElement2').css("color", "red");
                },
                success: function (json) {
                    $("#jqgRegPre").jqGrid('setColProp', 'id_pre0', { editoptions: { value: $.parseJSON(json.d)} });
                    RefreshGridRegPre();
                }
            });
        }

        function GetRegPre() {
            $.ajax({
                url: 'Servicio.svc/GetRegAlojPrecios',
                data: { "id_rali": $('#IdSubElement2').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#TitSubElement2').css("color", "red");
                },
                success: function (json) {
                    $("#jqgRegPre").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#jqgRegPre")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#jqgRegPre").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                    $('#TitSubElement2').css("color", "green");
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutRegPre(id, id_rali, id_pre0, precio) {
            $.ajax({
                url: 'Servicio.svc/PutRegAlojPrecios',
                data: { "id_rald": id, "id_rali": $('#IdSubElement2').val(), "id_pre0": id_pre0, "precio": precio
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        if(id > 0 || id < 0){
                            $("#jqgRegPre").jqGrid('saveRow', id);
                            //$('#jqgRegPre').jqGrid('editRow', id, true, EventsRegPre);
                            //BotonSelectRegPre();
                            BotonDefaultRegPre();
                            RefreshGridRegPre();
                        }
                        else
                        {
                            BotonDefaultRegPre();
                            RefreshGridRegPre();
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para eliminar los datos hacia el Web Service. */ %>

        function DelRegPre(id) {
            $.ajax({
                url: 'Servicio.svc/DelRegAlojPrecios',
                data: { "id_rald": id
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                            BotonDefaultRegPre();
                            RefreshGridRegPre();
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridRegPre() {
            var lselRegPre;
            var colMap = {};
            $("#jqgRegPre").jqGrid({
                datatype: 'local',
                height: 155,
                width: 325,
                colNames:  HeaderTableRegPre,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'id_rali', index: 'id_rali', width: 10, editable: true, hidden: true }, 
                            { name: 'id_pre0', index: 'id_pre0', width: 10, editable: true, formatter:'select', stype:'select', edittype:'select', editoptions: {<%=Utils.cbDummy %>}, searchoptions: {<%=Utils.cbDummy %>} }, 
                            { name: 'precio', index: 'precio', width: 10, editable: true, searchoptions:{sopt:ListFindN} },
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true },
                            { name: 'tipo', index: 'tipo', width: 10, editable: true, hidden: true }
   	                    ],
                onSelectRow: function(id){
                    if(id ){

                        if(isNaN(lselRegPre) && !isNaN(id))
                        {
                            $("#jqgRegPre").jqGrid('delRowData', lselRegPre);
                            $('#jqgRegPre').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#jqgRegPre').jqGrid('restoreRow', lselRegPre);
                        }
                        else {
                            BotonNuevoRegPre();
                        }

                        $('#jqgRegPre').jqGrid('editRow', id, true, EventsRegPre);
                       
                        lselRegPre=id;
                    }
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselRegPre))
                        {
                            $("#jqgRegPre").jqGrid('delRowData', lselRegPre);
                            $('#jqgRegPre').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgRegPre').jqGrid('saveRow',lselRegPre);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){

                        var ret = jQuery("#jqgRegPre").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        if(status == "True")
                        { 
                            $('#btnEliminarTextRegPre').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconRegPre').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextRegPre').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconRegPre').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgRegPre').jqGrid('setSelection', id); 

                        BotonSelectRegPre();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgRegPre").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    { 
                        var status  = $("#jqgRegPre").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#jqgRegPre").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }

                        var tipo  = $("#jqgRegPre").getCell(rows[i],"tipo");

                        if(tipo == 4 || tipo == 5)
                        {
                            $("#jqgRegPre").jqGrid('setRowData',rows[i],false, 
                            {color:'purple',font:'italic' });
                        }
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#PaginadorRegPre',
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows : true,
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });
        
        }

        function EventsRegPre(id) {
            $("#" + id + "_id_rali").on('change', function () { BotonGuardarRegPre(); });
            $("#" + id + "_id_pre0").on('change', function () { BotonGuardarRegPre(); });
            $("#" + id + "_precio").on('input', function () { BotonGuardarRegPre(); });
        }

        function EventsNewRegPre() {
            var selr = jQuery('#jqgRegPre').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_id_rali").on('change', function () { BotonGuardarRegPre(); });
            $("#" + selr + "_id_pre0").on('change', function () { BotonGuardarRegPre(); });
            $("#" + selr + "_precio").on('input', function () { BotonGuardarRegPre(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridRegPre()
        {
            $("#jqgRegPre").jqGrid("setGridParam", {datatype: "json", datatype: GetRegPre, loadonce: true});
            $("#jqgRegPre").trigger("reloadGrid"); 
            $("#jqgRegPre").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateRegPre()
        {
            $("#jqgRegPre").jqGrid('addRow',{
                initdata : {'Id': '0', 'precio': '1'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonNuevoRegPre();
            EventsNewRegPre();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveRegPre(){
	        var id = $("#jqgRegPre").jqGrid('getGridParam','selrow');
	        if (id)	{
                PutRegPre(id, $('#' + id + '_id_rali').val(), $('#' + id + '_id_pre0').val(), $('#' + id + '_precio').val());
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteRegPre(){
	        var id = $("#jqgRegPre").jqGrid('getGridParam','selrow');
	        if (id)	{
		        var ret = $("#jqgRegPre").jqGrid('getRowData',id);
                DelRegPre(id);
                RefreshGridRegPre();
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelRegPre(){
	        var id = $("#jqgRegPre").jqGrid('getGridParam','selrow');
	        if (id)	{
		        $('#jqgRegPre').restoreRow(id);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
	        }
            BotonDefaultRegPre();
        }

        function BotonDefaultRegPre() {
            $('#btnNuevoRegPre').button('enable');
            $('#btnEliminarRegPre').button('disable');
            $('#btnGuardarRegPre').button('disable');
            $('#btnCancelarRegPre').button('disable');
        }

        function BotonNuevoRegPre() {
            $('#btnNuevoRegPre').button('disable');
            $('#btnEliminarRegPre').button('disable');
            $('#btnGuardarRegPre').button('disable');
            $('#btnCancelarRegPre').button('enable');
        }

        function BotonSelectRegPre() {
            $('#btnNuevoRegPre').button('enable');
            var id = $("#jqgRegPre").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarRegPre').button('enable');
            }
            else {
                $('#btnEliminarRegPre').button('disable');
            }
            $('#btnGuardarRegPre').button('disable');
            $('#btnCancelarRegPre').button('disable');
        }

        function BotonGuardarRegPre() {
            $('#btnNuevoRegPre').button('disable');
            $('#btnEliminarRegPre').button('disable');
            $('#btnGuardarRegPre').button('enable');
            $('#btnCancelarRegPre').button('enable');
        }

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
	        window.open('Informe.aspx?r=409&e=' + $('#cbEliminado:checked').val(), '_blank');
        }
        
    </script>
    
    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 200,
                width: 500,
                modal: true,
                buttons:
                {
                    "<%=L.LBL("LblGENAceptar") %>": function ()
                    {
                        $(this).dialog('close');
                    }
                }
            });

            $("#SevenMenu").accordion("option", "active", 5);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            LoadGridReg();
            LoadGridRegCon();
            LoadGridRegPre();

            RefreshGridReg();

            BotonDefaultReg();
            BotonDefaultRegCon();
            BotonDefaultRegPre();

        });
    </script>

    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table width="100%" style="white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M6';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="RegimenesAlojamiento.aspx"><%=L.TIT("RegimenesAlojamiento") %> [4.8]</a>
                </td>
                <td width="100%"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>
            
    <div id="SevenPrincipal">
                
        <div id="SevenMedio">
                    
            <div id="SevenInterno" style="width: 700px;">

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center;padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center;padding-top: 25px">
                    
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("RegimenesAlojamiento") %> [4.8]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultReg();RefreshGridReg();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk-parametros/4-8-reg%C3%ADmenes-de-alojamiento/', '_blank');" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <% 
                    if (CorrectoIns)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoMod)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoEli)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
                    if (!String.IsNullOrEmpty(ErrorMsg))
                    {    
                %>

                    <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />
                            
                <table id="jqgReg"></table>
                <div id="PaginadorReg" ></div>

                <table width="100%">
                    <tr>
                        <td colspan="4">
                            <table width="100%">
                                <tr>
                                    <td width="100%"></td>
                                    <td>
                                        <button type="button" id="bsdataReg" value="Search" >
                                            <table>
                                            <tr><td>
                                            <img src="img/binocular.png" 
                                             alt="<%=L.LBL("LblGENSearch") %>" />
                                            </td><td>
                                            <%=L.LBL("LblGENSearch")%>
                                            </td></tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnNuevoReg" onclick="CreateReg();">
                                            <table><tr><td><img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" /></td><td><%=L.LBL("LblGENNew")%></td></tr></table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnEliminarReg" onclick="DeleteReg();">
                                            <table><tr><td><img id="btnEliminarIconReg" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" /></td><td id="btnEliminarTextReg"><%=L.LBL("LblGENDelete")%></td></tr></table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnGuardarReg" onclick="SaveReg();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblGENSave")%></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnCancelarReg" onclick="CancelReg();">
                                                <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td><td><%=L.LBL("LblGENCancel")%></td></tr></table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

                <table style="width: 100%;">
                    <tr>
                        <td style="width: 50%;">
                            <fieldset>
                                <legend><b><%=L.LBL("LblFDKSConceptos") %>: <span id="TitSubElement"></span></b></legend>
                                <input type="hidden" id="IdSubElement" value="0" />

                                <table id="jqgRegCon"></table>
                                <div id="PaginadorRegCon" ></div>

                                <table width="100%">
                                    <tr>
                                        <td colspan="4">
                                            <table width="100%">
                                                <tr>
                                                    <td width="100%"></td>
                                                    <td>
                                                        <button type="button" id="btnNuevoRegCon" onclick="CreateRegCon();">
                                                            <table><tr><td><img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" /></td></tr></table>
                                                        </button>
                                                    </td>
                                                    <td>
                                                        <button type="button" id="btnEliminarRegCon" onclick="DeleteRegCon();">
                                                            <table><tr><td><img id="btnEliminarIconRegCon" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" /></td></tr></table>
                                                        </button>
                                                    </td>
                                                    <td>
                                                        <button type="button" id="btnGuardarRegCon" onclick="SaveRegCon();">
                                                                <table>
                                                                    <tr>
                                                                        <td>
                                                                            <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                        </button>
                                                    </td>
                                                    <td>
                                                        <button type="button" id="btnCancelarRegCon" onclick="CancelRegCon();">
                                                                <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td></tr></table>
                                                        </button>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                </table>


                            </fieldset>
                        </td>
                        <td style="width: 50%;">
                            <fieldset>
                                <legend><b><%=L.LBL("LblFDKSPrecios") %>: <span id="TitSubElement2"></span></b></legend>
                                <input type="hidden" id="IdSubElement2" value="0" />

                                <input type="hidden" id="FirstLoadRegPre" value="0" />
                                <table id="jqgRegPre"></table>
                                <div id="PaginadorRegPre" ></div>

                                <table width="100%">
                                    <tr>
                                        <td colspan="4">
                                            <table width="100%">
                                                <tr>
                                                    <td width="100%"></td>
                                                    <td>
                                                        <button type="button" id="btnNuevoRegPre" onclick="CreateRegPre();">
                                                            <table><tr><td><img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" /></td></tr></table>
                                                        </button>
                                                    </td>
                                                    <td>
                                                        <button type="button" id="btnEliminarRegPre" onclick="DeleteRegPre();">
                                                            <table><tr><td><img id="btnEliminarIconRegPre" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" /></td></tr></table>
                                                        </button>
                                                    </td>
                                                    <td>
                                                        <button type="button" id="btnGuardarRegPre" onclick="SaveRegPre();">
                                                                <table>
                                                                    <tr>
                                                                        <td>
                                                                            <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                        </button>
                                                    </td>
                                                    <td>
                                                        <button type="button" id="btnCancelarRegPre" onclick="CancelRegPre();">
                                                                <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td></tr></table>
                                                        </button>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                </table>
                            </fieldset>
                        </td>
                    </tr>
                </table>

                            
            </div>
                    
        </div>
                
    </div>

    <% } catch { } %>

</asp:Content>

