﻿<% @Import Namespace="Seven.Front.Settings" %>
<% @Import Namespace="Seven.Front.Settings.Globals" %>
<% @Import Namespace="Seven.Front.Settings.Objects" %>
<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="Temporadas.aspx.cs" Inherits="Seven.Front.Settings.Temporadas" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title><%=L.TIT("Temporadas") %> [1.4]</title>
    
    <script type="text/javascript">

        var ListFindN    =  ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT    =  ['cn','eq','bw','bn','nc','ew','en'];

        var HeaderTableTP = <%=L.LBL("LblFDKSTipoTemporadas") %>;
        var HeaderTablePE = <%=L.LBL("LblFDKSPeriodos") %>;
        var HeaderTableINI = <%=L.LBL("LblFDKSPeriodoPlazos") %>;

        <% /* Código del jqGrid para Temporadas */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetTP() {
            $.ajax({
                url: 'Servicio.svc/GetTemporadas',
                data: { "Eliminado": $('#cbEliminado:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#jqgTP").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#jqgTP")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#jqgTP").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutTP(id, desc_temp) {
            $.ajax({
                url: 'Servicio.svc/PutTemporadas',
                data: { "id_temp": id, "desc_temp": desc_temp
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                        if(id > 0 || id < 0){
                            BotonDefaultTP();
                            RefreshGridTP();
                        }
                        else
                        {
                            $('#IdSubElement').val(res);
                            BotonDefaultTP();
                            RefreshGridTP();
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para eliminar los datos hacia el Web Service. */ %>

        function DelTP(id) {
            $.ajax({
                url: 'Servicio.svc/DelTemporadas',
                data: { "id_temp": id
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        $('#IdSubElement').val(0);
                        $('#TitSubElement').html('');
                        BotonDefaultTP();
                        RefreshGridTP();
                        RefreshGridPE();
                        BotonDefaultPE();
                        $('#IdSubElement2').val(0);
                        $('#TitSubElement2').html('');
                        RefreshGridINI();
                        BotonDefaultINI();
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridTP() {
        
            var lselTP;
            var colMap = {};

            $("#jqgTP").jqGrid({
                datatype: 'local',
                height: 110,
                width: 700,
                colNames:  HeaderTableTP,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'desc_temp', index: 'desc_temp', width: 10, editable: true, searchoptions:{sopt:ListFindT} }, 
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
   	                    ],
                onSelectRow: function(id){
                    if(id ){

                        if(isNaN(lselTP) && !isNaN(id))
                        {
                            $("#jqgTP").jqGrid('delRowData', lselTP);
                            //$('#jqgTP').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#jqgTP').jqGrid('restoreRow', lselTP);

                            var ret = jQuery("#jqgTP").jqGrid('getRowData',id); 

                            $('#IdSubElement').val(id);
                            $('#TitSubElement').html(ret.desc_temp);
                            $('#FirstLoadINI').val(1);
                            RefreshGridPE();

                            BotonDefaultPE();
                            BotonDefaultINI();

                        }
                        else {
                            BotonNuevoTP();
                        }

                        $('#jqgTP').jqGrid('editRow', id, true, EventsTP);
                       
                        lselTP=id;
                    }
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselTP))
                        {
                            $("#jqgTP").jqGrid('delRowData', lselTP);
                            $('#jqgTP').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgTP').jqGrid('saveRow',lselTP);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){

                        if (!isNaN(id)) {
                            $('#jqgTP').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgTP").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        if(status == "True")
                        { 
                            $('#btnEliminarTextTP').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconTP').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextTP').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconTP').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgTP').jqGrid('setSelection', id); 

                        BotonSelectTP();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgTP").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    { 
                        if (i == 0 && parseInt($('#IdSubElement').val()) == 0) {
                            $('#IdSubElement').val($("#jqgTP").getCell(rows[i], "Id"));
                        }

                        var status  = $("#jqgTP").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#jqgTP").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }
                    }
                    $('#jqgTP').jqGrid('setSelection', $('#IdSubElement').val());
                    if(parseInt($('#IdSubElement').val()) != 0)
                    {
                        BotonSelectTP();
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#PaginadorTP',
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });

            $("#bsdataTP").click(function(){ 
                jQuery("#jqgTP").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function EventsTP(id) {
            $("#" + id + "_desc_temp").on('input', function () { BotonGuardarTP(); });
            $("#" + id + "_eliminado").on('change', function () { BotonGuardarTP(); });
        }

        function EventsNewTP() {
            var selr = jQuery('#jqgTP').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_desc_temp").on('input', function () { BotonGuardarTP(); });
            $("#" + selr + "_eliminado").on('change', function () { BotonGuardarTP(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridTP()
        {
            $("#jqgTP").jqGrid("setGridParam", {datatype: "json", datatype: GetTP, loadonce: true});
            $("#jqgTP").trigger("reloadGrid"); 
            $("#jqgTP").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateTP()
        {
            $('#IdSubElement').val(0);
            $('#TitSubElement').html('');

            RefreshGridPE();

            $("#jqgTP").jqGrid('addRow',{
                initdata : {'Id': '0'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonNuevoTP();
            EventsNewTP();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveTP(){
	        var id = $("#jqgTP").jqGrid('getGridParam','selrow');
	        if (id)	{
                PutTP(id, $('#' + id + '_desc_temp').val());
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteTP(){
	        var id = $("#jqgTP").jqGrid('getGridParam','selrow');
	        if (id)	{
		        var ret = $("#jqgTP").jqGrid('getRowData',id);
                DelTP(id);
                RefreshGridTP();
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelTP(){
	        var id = $("#jqgTP").jqGrid('getGridParam','selrow');
	        if (id)	{
		        $('#jqgTP').restoreRow(id);

                $('#IdSubElement').val(0);
                $('#TitSubElement').html('');

                RefreshGridPE();
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
	        }
            BotonDefaultTP();
        }

        function BotonDefaultTP() {
            $('#btnNuevoTP').button('enable');
            $('#btnEliminarTP').button('disable');
            $('#btnGuardarTP').button('disable');
            $('#btnCancelarTP').button('disable');
        }

        function BotonNuevoTP() {
            $('#btnNuevoTP').button('disable');
            $('#btnEliminarTP').button('disable');
            $('#btnGuardarTP').button('disable');
            $('#btnCancelarTP').button('enable');
        }

        function BotonSelectTP() {
            $('#btnNuevoTP').button('enable');
            var id = $("#jqgTP").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarTP').button('enable');
            }
            else {
                $('#btnEliminarTP').button('disable');
            }
            $('#btnGuardarTP').button('disable');
            $('#btnCancelarTP').button('disable');
        }

        function BotonGuardarTP() {
            $('#btnNuevoTP').button('disable');
            $('#btnEliminarTP').button('disable');
            $('#btnGuardarTP').button('enable');
            $('#btnCancelarTP').button('enable');
        }

        <% /* Código del jqGrid para Periodos */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetPE() {
            $.ajax({
                url: 'Servicio.svc/GetPeriodos',
                data: { "id_temp" : $('#IdSubElement').val(), "activos": $('input[name=cbActivos]:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#TitSubElement').css("color", "red");
                },
                success: function (json) {
                    $("#jqgPE").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#jqgPE")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#jqgPE").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                    $('#TitSubElement').css("color", "green");
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutPE(id, id_temp, fecha_desde, fecha_hasta, id_ttem, id_plazoini, porc_ini) {
            $.ajax({
                url: 'Servicio.svc/PutPeriodos',
                data: { "id_peri": id, "id_temp": $('#IdSubElement').val()
                , "fecha_desde": fecha_desde, "fecha_hasta": fecha_hasta, "id_ttem": id_ttem
                , "id_plazoini": $('#cbPlazosIni').val(), "porc_ini": $('#txtporc_ini').val() 
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                        if(id > 0 || id < 0){
                            BotonDefaultPE();
                            RefreshGridPE();
                        }
                        else
                        {
                            $('#IdSubElement2').val(res);
                            BotonDefaultPE();
                            RefreshGridPE();
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para eliminar los datos hacia el Web Service. */ %>

        function DelPE(id) {
            $.ajax({
                url: 'Servicio.svc/DelPeriodos',
                data: { "id_peri": id
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        $('#IdSubElement2').val(0);
                        $('#TitSubElement2').html('');
                        RefreshGridINI();
                        BotonDefaultPE();
                        RefreshGridPE();
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridPE() {
        
            var lselPE;
            var colMap = {};
            
            $('#FirstLoadINI').val(1);

            $("#jqgPE").jqGrid({
                datatype: 'local',
                height: 185,
                width: 300,
                colNames:  HeaderTablePE,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'id_temp', index: 'id_temp', width: 10, editable: true, search:false, hidden: true }, 
                            { name: 'fecha_desde', index: 'fecha_desde', width: 20, editable: true, searchoptions:{sopt:ListFindT} }, 
                            { name: 'fecha_hasta', index: 'fecha_hasta', width: 20, editable: true, searchoptions:{sopt:ListFindT} }, 
                            { name: 'id_ttem', index: 'id_ttem', width: 40, editable: true,formatter:'select', stype:'select', edittype:'select', editoptions: {<%=cbTipoTemporadas %>}, searchoptions: {<%=cbTipoTemporadas %>} }, 
                            { name: 'id_plazoini', index: 'id_plazoini', width: 10, editable: true, search:false, hidden: true }, 
                            { name: 'porc_ini', index: 'porc_ini', width: 10, editable: true, search:false, hidden: true },
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true },
                            { name: 'activo', index: 'activo', width: 5, search:false, hidden: true }
   	                    ],
                onSelectRow: function(id){
                    if(id ){

                        if(isNaN(lselPE) && !isNaN(id))
                        {
                            $("#jqgPE").jqGrid('delRowData', lselPE);
                            //$('#jqgPE').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            var ret = jQuery("#jqgPE").jqGrid('getRowData',id); 

                            $('#jqgPE').jqGrid('restoreRow', lselPE);

                            $('#IdSubElement2').val(id);
                            $('#TitSubElement2').html($('#TitSubElement').html() + ": " + ret.fecha_desde + " - " + ret.fecha_hasta);

                            $('#cbPlazosIni').val(ret.id_plazoini);
                            $('#txtporc_ini').val(ret.porc_ini);

                            RefreshGridINI();
                        }
                        else {
                            BotonNuevoPE();
                        }

                        $('#jqgPE').jqGrid('editRow', id, true, EventsPE);
                       
                        lselPE=id;
                    }
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselPE))
                        {
                            $("#jqgPE").jqGrid('delRowData', lselPE);
                            $('#jqgPE').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgPE').jqGrid('saveRow',lselPE);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){

                        var ret = jQuery("#jqgPE").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        if(status == "True")
                        { 
                            $('#btnEliminarTextPE').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconPE').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextPE').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconPE').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgPE').jqGrid('setSelection', id); 

                        BotonSelectPE();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgPE").getDataIDs(); 

                    var firstid;
                    var primero = true;

                    for (var i = 0; i < rows.length; i++)
                    { 
                        if(primero)
                        {
                            firstid = rows[i];
                            primero = false;
                        }

                        var status  = $("#jqgPE").getCell(rows[i],"Eli");
                        var activo  = $("#jqgPE").getCell(rows[i],"activo");

                        if(status == "True")
                        {
                            $("#jqgPE").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }

                        if(activo == "1")
                        {
                            $("#jqgPE").jqGrid('setRowData',rows[i],false,'actRow');
                        }
                        else
                        {
                            $("#jqgPE").jqGrid('setRowData',rows[i],false,'inactRow');
                        }

                        if(!primero && parseInt($('#FirstLoadINI').val()) == 1)
                        {
                            var ret = jQuery("#jqgPE").jqGrid('getRowData', firstid); 

                            if(!isNaN(ret.Id)) 
                            {
                                $('#IdSubElement2').val(ret.Id);
                                $('#TitSubElement2').html($('#TitSubElement').html() + ": " + ret.fecha_desde + " - " + ret.fecha_hasta);

                                $('#cbPlazosIni').val(ret.id_plazoini);
                                $('#txtporc_ini').val(ret.porc_ini);

                                RefreshGridINI();

                                $('#FirstLoadINI').val(0);
                            }
                        }
                    }
                    $('#jqgPE').jqGrid('setSelection', $('#IdSubElement2').val());
                    if(parseInt($('#IdSubElement2').val()) != 0)
                    {
                        BotonSelectPE();
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#PaginadorPE',
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });

            $("#bsdataPE").click(function(){ 
                jQuery("#jqgPE").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function InitializeComponentsPE() {
            $("#cbPlazosIni").on('change', function () 
            { 
                var id = $("#jqgPE").jqGrid('getGridParam','selrow');
                if (parseInt(id) != 0)	{
                    BotonGuardarPE(); 
                } 
            });
            $("#txtporc_ini").on('input', function () 
            { 
                var id = $("#jqgPE").jqGrid('getGridParam','selrow');
                if (parseInt(id) != 0)	{
                    BotonGuardarPE(); 
                } 
            });
        }

        function EventsPE(id) {
            $("#" + id + "_id_temp").on('change', function () { BotonGuardarPE(); });
            $("#" + id + "_fecha_desde").on('input', function () { BotonGuardarPE(); });
            $("#" + id + "_fecha_hasta").on('input', function () { BotonGuardarPE(); });
            $("#" + id + "_fecha_desde").on('change', function () { BotonGuardarPE(); });
            $("#" + id + "_fecha_hasta").on('change', function () { BotonGuardarPE(); });
            $("#" + id + "_id_ttem").on('change', function () { BotonGuardarPE(); });
            $("#" + id + "_id_plazoini").on('change', function () { BotonGuardarPE(); });
            $("#" + id + "_porc_ini").on('input', function () { BotonGuardarPE(); });

            $("#" + id + "_fecha_desde").datepicker();
            $("#" + id + "_fecha_hasta").datepicker();
        }

        function EventsNewPE() {
            var selr = jQuery('#jqgPE').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_id_temp").on('change', function () { BotonGuardarPE(); });
            $("#" + selr + "_fecha_desde").on('input', function () { BotonGuardarPE(); });
            $("#" + selr + "_fecha_hasta").on('input', function () { BotonGuardarPE(); });
            $("#" + selr + "_fecha_desde").on('change', function () { BotonGuardarPE(); });
            $("#" + selr + "_fecha_hasta").on('change', function () { BotonGuardarPE(); });
            $("#" + selr + "_id_ttem").on('change', function () { BotonGuardarPE(); });
            $("#" + selr + "_id_plazoini").on('change', function () { BotonGuardarPE(); });
            $("#" + selr + "_porc_ini").on('input', function () { BotonGuardarPE(); });

            $("#" + selr + "_fecha_desde").datepicker();
            $("#" + selr + "_fecha_hasta").datepicker();
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridPE()
        {
            $("#jqgPE").jqGrid("setGridParam", {datatype: "json", datatype: GetPE, loadonce: true});
            $("#jqgPE").trigger("reloadGrid"); 
            $("#jqgPE").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreatePE()
        {
            $('#IdSubElement2').val(0);
            $('#TitSubElement2').html('');

            RefreshGridINI();

            $("#jqgPE").jqGrid('addRow',{
                initdata : {'Id': '0'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });

            $('#cbPlazosIni').val(0);
            $('#txtporc_ini').val(<%=String.Format("{0:N2}", 0) %>);

            BotonNuevoPE();
            EventsNewPE();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SavePE(){
	        var id = $("#jqgPE").jqGrid('getGridParam','selrow');
	        if (id)	{
                PutPE(id, $('#' + id + '_id_temp').val(), $('#' + id + '_fecha_desde').val(), $('#' + id + '_fecha_hasta').val(), $('#' + id + '_id_ttem').val(), $('#' + id + '_id_plazoini').val(), $('#' + id + '_porc_ini').val());
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeletePE(){
	        var id = $("#jqgPE").jqGrid('getGridParam','selrow');
	        if (id)	{
		        var ret = $("#jqgPE").jqGrid('getRowData',id);
                DelPE(id);
                RefreshGridPE();
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelPE(){
	        var id = $("#jqgPE").jqGrid('getGridParam','selrow');
	        if (id)	{
		        $('#jqgPE').restoreRow(id);
                $('#IdSubElement2').val(0);
                $('#TitSubElement2').html('');

                $('#cbPlazosIni').val(0);
                $('#txtporc_ini').val(<%=String.Format("{0:N2}", 0) %>);

	            $('#jqgPE').jqGrid('resetSelection');

                RefreshGridINI();

	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
	        }
            BotonDefaultPE();
        }

        function BotonDefaultPE() {
            $('#btnNuevoPE').button('enable');
            $('#btnEliminarPE').button('disable');
            $('#btnGuardarPE').button('disable');
            $('#btnCancelarPE').button('disable');
        }

        function BotonNuevoPE() {
            $('#btnNuevoPE').button('disable');
            $('#btnEliminarPE').button('disable');
            $('#btnGuardarPE').button('disable');
            $('#btnCancelarPE').button('enable');
        }

        function BotonSelectPE() {
            $('#btnNuevoPE').button('enable');
            var id = $("#jqgPE").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarPE').button('enable');
            }
            else {
                $('#btnEliminarPE').button('disable');
            }
            $('#btnGuardarPE').button('disable');
            $('#btnCancelarPE').button('disable');
        }

        function BotonGuardarPE() {
            $('#btnNuevoPE').button('disable');
            $('#btnEliminarPE').button('disable');
            $('#btnGuardarPE').button('enable');
            $('#btnCancelarPE').button('enable');
        }

        <% /* Código del jqGrid para Plazos del Periodo */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetINI() {
            $.ajax({
                url: 'Servicio.svc/GetPeriodoPlazos',
                data: { "id_peri": $('#IdSubElement2').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#TitSubElement2').css("color", "red");
                },
                success: function (json) {
                    $("#jqgINI").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#jqgINI")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#jqgINI").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                    $('#TitSubElement2').css("color", "green");
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutINI(id, id_peri, desde_fec_rese, dias, porciento) {
            $.ajax({
                url: 'Servicio.svc/PutPeriodoPlazos',
                data: { "id_plazo": id, "id_peri": $('#IdSubElement2').val(), "desde_fec_rese": desde_fec_rese, "dias": dias, "porciento": porciento
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        if(id > 0 || id < 0){
                            $("#jqgINI").jqGrid('saveRow', id);
                            $('#jqgINI').jqGrid('editRow', id, true, EventsINI);
                            BotonSelectINI();
                        }
                        else
                        {
                            BotonDefaultINI();
                            RefreshGridINI();
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para eliminar los datos hacia el Web Service. */ %>

        function DelINI(id) {
            $.ajax({
                url: 'Servicio.svc/DelPeriodoPlazos',
                data: { "id_plazo": id
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        BotonDefaultINI();
                        RefreshGridINI();
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridINI() {
        
            var lselINI;
            var colMap = {};
            $("#jqgINI").jqGrid({
                datatype: 'local',
                height: 100,
                width: 300,
                colNames:  HeaderTableINI,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'id_peri', index: 'id_peri', width: 10, editable: true, searchoptions:{sopt:ListFindN}, search:false, hidden: true }, 
                            { name: 'desde_fec_rese', index: 'desde_fec_rese', width: 40, editable: true, search:false,formatter:'select', stype:'select', edittype:'select', editoptions: { value: "<%=cbDesdeIni %>" } }, 
                            { name: 'dias', index: 'dias', width: 30, editable: true, searchoptions:{sopt:ListFindN} }, 
                            { name: 'porciento', index: 'porciento', width: 30, editable: true, searchoptions:{sopt:ListFindN} },
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
   	                    ],
                onSelectRow: function(id){
                    if(id ){

                        if(isNaN(lselINI) && !isNaN(id))
                        {
                            $("#jqgINI").jqGrid('delRowData', lselINI);
                            $('#jqgINI').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#jqgINI').jqGrid('restoreRow', lselINI);
                        }
                        else {
                            BotonNuevoINI();
                        }

                        $('#jqgINI').jqGrid('editRow', id, true, EventsINI);
                       
                        lselINI=id;
                    }
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselINI))
                        {
                            $("#jqgINI").jqGrid('delRowData', lselINI);
                            $('#jqgINI').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgINI').jqGrid('saveRow',lselINI);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){

                        var ret = jQuery("#jqgINI").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        if(status == "True")
                        { 
                            $('#btnEliminarTextINI').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconINI').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextINI').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconINI').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgINI').jqGrid('setSelection', id); 

                        BotonSelectINI();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgINI").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    { 
                        var status  = $("#jqgINI").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#jqgINI").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#PaginadorINI',
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });

            $("#bsdataINI").click(function(){ 
                jQuery("#jqgINI").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function EventsINI(id) {
            $("#" + id + "_id_peri").on('change', function () { BotonGuardarINI(); });
            $("#" + id + "_desde_fec_rese").on('change', function () { BotonGuardarINI(); });
            $("#" + id + "_dias").on('input', function () { BotonGuardarINI(); });
            $("#" + id + "_porciento").on('input', function () { BotonGuardarINI(); });
        }

        function EventsNewINI() {
            var selr = jQuery('#jqgINI').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_id_peri").on('change', function () { BotonGuardarINI(); });
            $("#" + selr + "_desde_fec_rese").on('change', function () { BotonGuardarINI(); });
            $("#" + selr + "_dias").on('input', function () { BotonGuardarINI(); });
            $("#" + selr + "_porciento").on('input', function () { BotonGuardarINI(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridINI()
        {
            $("#jqgINI").jqGrid("setGridParam", {datatype: "json", datatype: GetINI, loadonce: true});
            $("#jqgINI").trigger("reloadGrid"); 
            $("#jqgINI").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateINI()
        {
            $("#jqgINI").jqGrid('addRow',{
                initdata : {'Id': '0'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonNuevoINI();
            EventsNewINI();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveINI(){
	        var id = $("#jqgINI").jqGrid('getGridParam','selrow');
	        if (id)	{
                PutINI(id, $('#' + id + '_id_peri').val(), $('#' + id + '_desde_fec_rese').val(), $('#' + id + '_dias').val(), $('#' + id + '_porciento').val());
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteINI(){
	        var id = $("#jqgINI").jqGrid('getGridParam','selrow');
	        if (id)	{
		        var ret = $("#jqgINI").jqGrid('getRowData',id);
                DelINI(id);
                RefreshGridINI();
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelINI(){
	        var id = $("#jqgINI").jqGrid('getGridParam','selrow');
	        if (id)	{
		        $('#jqgINI').restoreRow(id);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
	        }
            BotonDefaultINI();
        }

        function BotonDefaultINI() {
            $('#btnNuevoINI').button('enable');
            $('#btnEliminarINI').button('disable');
            $('#btnGuardarINI').button('disable');
            $('#btnCancelarINI').button('disable');
        }

        function BotonNuevoINI() {
            $('#btnNuevoINI').button('disable');
            $('#btnEliminarINI').button('disable');
            $('#btnGuardarINI').button('disable');
            $('#btnCancelarINI').button('enable');
        }

        function BotonSelectINI() {
            $('#btnNuevoINI').button('enable');
            var id = $("#jqgINI").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarINI').button('enable');
            }
            else {
                $('#btnEliminarINI').button('disable');
            }
            $('#btnGuardarINI').button('disable');
            $('#btnCancelarINI').button('disable');
        }

        function BotonGuardarINI() {
            $('#btnNuevoINI').button('disable');
            $('#btnEliminarINI').button('disable');
            $('#btnGuardarINI').button('enable');
            $('#btnCancelarINI').button('enable');
        }

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
            window.open('Informe.aspx?r=3&e=' + $('#cbEliminado:checked').val(), '_blank');
        }

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
            window.open('Informe.aspx?r=5&e=' + $('#cbEliminado:checked').val(), '_blank');
        }
        
    </script>

    <style type="text/css">
        
        .actRow td 
        {
            background-color: #EDEDED; 
        }
        
        .inactRow td 
        {
            background-color: #CCCCCC; 
        }
        
    </style>
    
    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 200,
                width: 500,
                modal: true,
                buttons:
                {
                    "<%=L.LBL("LblGENAceptar") %>": function ()
                    {
                        $(this).dialog('close');
                    }
                }
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 200,
                width: 500,
                modal: true,
                buttons:
                {
                    "<%=L.LBL("LblGENAceptar") %>": function ()
                    {
                        $(this).dialog('close');
                    }
                }
            });

            $("#SevenMenu").accordion("option", "active", 1);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            LoadGridTP();
            LoadGridPE();
            LoadGridINI();

            RefreshGridTP();

            InitializeComponentsPE();

            BotonDefaultTP();
            BotonDefaultPE();
            BotonDefaultINI();

        });
    </script>

    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table width="100%" style="white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M2';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="Temporadas.aspx"><%=L.TIT("Temporadas") %> [1.4]</a>
                </td>
                <td width="100%"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>
            
    <div id="SevenPrincipal">
                
        <div id="SevenMedio">
                    
            <div id="SevenInterno" style="width: 700px;">

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center;padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center;padding-top: 25px">
                    
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("Temporadas") %> [1.4]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultTP();RefreshGridTP();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk-parametros/1-4-temporadas/', '_blank');" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <% 
                    if (CorrectoIns)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoMod)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoEli)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
                    if (!String.IsNullOrEmpty(ErrorMsg))
                    {    
                %>

                    <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />
                            
                <table id="jqgTP"></table>
                <div id="PaginadorTP" ></div>

                <table width="100%">
                    <tr>
                        <td colspan="4">
                            <table width="100%">
                                <tr>
                                    <td width="100%"></td>
                                    <td>
                                        <button type="button" id="bsdataTP" value="Search" >
                                            <table>
                                            <tr><td>
                                            <img src="img/binocular.png" 
                                             alt="<%=L.LBL("LblGENSearch") %>" />
                                            </td><td>
                                            <%=L.LBL("LblGENSearch") %>
                                            </td></tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnNuevoTP" onclick="CreateTP();">
                                            <table><tr><td><img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" /></td><td><%=L.LBL("LblGENNew") %></td></tr></table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnEliminarTP" onclick="DeleteTP();">
                                            <table><tr><td><img id="btnEliminarIconTP" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" /></td><td id="btnEliminarTextTP"><%=L.LBL("LblGENDelete") %></td></tr></table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnGuardarTP" onclick="SaveTP();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblGENSave") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnCancelarTP" onclick="CancelTP();">
                                                <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td><td><%=L.LBL("LblGENCancel") %></td></tr></table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

                <table style="width: 100%">
                    <tr>
                        <td style="width: 50%;">
                            <fieldset>
                                <input type="hidden" id="IdSubElement" value="0" />
                                <legend><b><%=L.TIT("Periodos") %>: <span id="TitSubElement"></span></b></legend>

                                <input type="checkbox" name="cbActivos" value="1" onchange="RefreshGridPE();" checked="checked" /> <%=L.LBL("LblFDKSSoloPeriodosAct") %>

                                <br /><br />

                                <table id="jqgPE"></table>
                                <div id="PaginadorPE" ></div>

                                <table width="100%">
                                    <tr>
                                        <td colspan="4">
                                            <table width="100%">
                                                <tr>
                                                    <td width="100%"></td>
                                                    <td>
                                                        <button type="button" id="bsdataPE" value="Search" >
                                                            <table>
                                                            <tr>
                                                                <td>
                                                                <img src="img/binocular.png" 
                                                                 alt="<%=L.LBL("LblGENSearch") %>" />
                                                                </td>
                                                            </tr>
                                                            </table>
                                                        </button>
                                                    </td>
                                                    <td>
                                                        <button type="button" id="btnNuevoPE" onclick="CreatePE();">
                                                            <table><tr><td><img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" /></td></tr></table>
                                                        </button>
                                                    </td>
                                                    <td>
                                                        <button type="button" id="btnEliminarPE" onclick="DeletePE();">
                                                            <table><tr><td><img id="btnEliminarIconPE" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" /></td></tr></table>
                                                        </button>
                                                    </td>
                                                    <td>
                                                        <button type="button" id="btnGuardarPE" onclick="SavePE();">
                                                                <table>
                                                                    <tr>
                                                                        <td>
                                                                            <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                        </button>
                                                    </td>
                                                    <td>
                                                        <button type="button" id="btnCancelarPE" onclick="CancelPE();">
                                                                <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td></tr></table>
                                                        </button>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                </table>

                            </fieldset>
                        </td>
                        <td style="width: 50%;">
                            <fieldset>
                                <input type="hidden" id="IdSubElement2" value="0" />
                                <legend><b><%=L.LBL("LblGENDatos") %>: <span id="TitSubElement2"></span></b></legend>
                                
                                <b><%=L.LBL("LblFDKSPrepagosCadaPeriodo") %></b>

                                <br /><br />

                                <table>
                                    <tr>
                                        <td><%=L.LBL("LblFDKSTipoPlazoInicial") %></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">
                                            <%=cbPlazos %>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td><%=L.LBL("LblFDKSPorcTotalPlazoInicial") %></td>
                                        <td>
                                            <input type="text" id="txtporc_ini" value="<%=String.Format("{0:N2}", 0) %>" size="5" />
                                        </td>
                                    </tr>
                                </table>

                                <br />

                                <b><%=L.LBL("LblFDKSOtrosPlazos") %></b>

                                <br /><br />

                                <input type="hidden" id="FirstLoadINI" value="0" />
                                <table id="jqgINI"></table>
                                <div id="PaginadorINI" ></div>

                                <table width="100%">
                                    <tr>
                                        <td colspan="4">
                                            <table width="100%">
                                                <tr>
                                                    <td width="100%"></td>
                                                    <td>
                                                        <button type="button" id="btnNuevoINI" onclick="CreateINI();">
                                                            <table><tr><td><img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" /></td></tr></table>
                                                        </button>
                                                    </td>
                                                    <td>
                                                        <button type="button" id="btnEliminarINI" onclick="DeleteINI();">
                                                            <table><tr><td><img id="btnEliminarIconINI" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" /></td></tr></table>
                                                        </button>
                                                    </td>
                                                    <td>
                                                        <button type="button" id="btnGuardarINI" onclick="SaveINI();">
                                                                <table>
                                                                    <tr>
                                                                        <td>
                                                                            <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                        </button>
                                                    </td>
                                                    <td>
                                                        <button type="button" id="btnCancelarINI" onclick="CancelINI();">
                                                                <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td></tr></table>
                                                        </button>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                </table>


                            </fieldset>
                        </td>
                    </tr>
                </table>
                            
            </div>
                    
        </div>
                
    </div>

    <% } catch { } %>

</asp:Content>

